Artifacts
report an artifact
Report an artifact for abuse. Keyless, because viewers are usually logged out; rate-limited per IP. reason must be one of the fixed set.
POST
/
artifacts
/
{id}
/
report
report an artifact
curl --request POST \
--url https://api.fetchbean.com/artifacts/{id}/report \
--header 'Content-Type: application/json' \
--data '
{
"note": "<string>"
}
'import requests
url = "https://api.fetchbean.com/artifacts/{id}/report"
payload = { "note": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({note: '<string>'})
};
fetch('https://api.fetchbean.com/artifacts/{id}/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"billable": true
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"billable": true
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"billable": true
}
}Path Parameters
Body
application/json
Why it is being reported.
Available options:
Spam or misleading, Phishing or scam, Malware or harmful code, Sexual or explicit content, Violence or hate, Illegal goods or activity, Copyright or trademark, Private or confidential info, Other Optional free-text detail (max 1000 chars).
Response
Success
The response is of type object.
Was this page helpful?
⌘I
report an artifact

